summaryrefslogtreecommitdiff
path: root/init.d/devfs.in
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2009-04-27 07:51:18 +0000
committerRoy Marples <roy@marples.name>2009-04-27 07:51:18 +0000
commite70a1429564a8fce5036c351b010a47dbb6c28b7 (patch)
treea1fc0f75a53041771bc9054fdab517ac32b3d79a /init.d/devfs.in
parenteaa32c75c9bba7af0ec842d82f56a6862bbc83db (diff)
downloadopenrc-e70a1429564a8fce5036c351b010a47dbb6c28b7.tar.gz
openrc-e70a1429564a8fce5036c351b010a47dbb6c28b7.tar.bz2
openrc-e70a1429564a8fce5036c351b010a47dbb6c28b7.tar.xz
Style.
Diffstat (limited to 'init.d/devfs.in')
-rw-r--r--init.d/devfs.in14
1 files changed, 7 insertions, 7 deletions
diff --git a/init.d/devfs.in b/init.d/devfs.in
index 84f3575..4c92b2c 100644
--- a/init.d/devfs.in
+++ b/init.d/devfs.in
@@ -15,19 +15,19 @@ start() {
"devpts /dev/pts 0755 ,gid=5,mode=0620 devpts" \
"tmpfs /dev/shm 1777 ,nodev shm" \
; do
- set -- ${x}
+ set -- $x
grep -Eq "[[:space:]]+$1$" /proc/filesystems || continue
- mountinfo -q "$2" && continue
+ mountinfo -q $2 && continue
- if [ ! -d "$2" ]; then
- mkdir -m "$3" -p "$2" >/dev/null 2>&1 || \
+ if [ ! -d $2 ]; then
+ mkdir -m $3 -p $2 >/dev/null 2>&1 || \
ewarn "Could not create $2!"
fi
- if [ -d "$2" ]; then
+ if [ -d $2 ]; then
ebegin "Mounting $2"
- if ! fstabinfo --mount "$2"; then
- mount -n -t "$1" -o noexec,nosuid"$4" "$5" "$2"
+ if ! fstabinfo --mount $2; then
+ mount -n -t $1 -o noexec,nosuid$4 $5 $2
fi
eend $?
fi